import 'package:flutter/material.dart';
import 'package:flutter_bloc/flutter_bloc.dart';

import 'package:jeweled/cubit/game_cubit.dart';
import 'package:jeweled/models/game.dart';
import 'package:jeweled/ui/widgets/game_board.dart';
import 'package:jeweled/ui/widgets/game_bottom_buttons.dart';
import 'package:jeweled/ui/widgets/game_top_indicator.dart';

class GameWidget extends StatelessWidget {
  const GameWidget({super.key});

  @override
  Widget build(BuildContext context) {
    return BlocBuilder<GameCubit, GameState>(
      builder: (BuildContext context, GameState gameState) {
        final Game currentGame = gameState.currentGame;

        return Container(
          padding: const EdgeInsets.all(4),
          child: Column(
            mainAxisAlignment: MainAxisAlignment.start,
            crossAxisAlignment: CrossAxisAlignment.center,
            children: [
              const SizedBox(height: 8),
              const GameTopIndicatorWidget(),
              const SizedBox(height: 2),
              const GameBoard(),
              const SizedBox(height: 2),
              currentGame.isFinished
                  ? const GameBottomButtonsWidget()
                  : const SizedBox.shrink(),
            ],
          ),
        );
      },
    );
  }
}
