import 'package:flutter/material.dart';
import 'package:flutter_bloc/flutter_bloc.dart';

import 'package:jeweled/cubit/game_cubit.dart';
import 'package:jeweled/models/game.dart';
import 'package:jeweled/ui/widgets/helpers/outlined_text_widget.dart';
import 'package:jeweled/utils/color_extensions.dart';

class ShuffleButton extends StatelessWidget {
  const ShuffleButton({super.key, required this.game});

  final Game game;

  @override
  Widget build(BuildContext context) {
    const Color textColor = Color.fromARGB(255, 215, 1, 133);
    final Color outlineColor = textColor.darken();

    return TextButton(
      child: OutlinedText(
        text: '🔄',
        fontSize: 25,
        textColor: textColor,
        outlineColor: outlineColor,
      ),
      onPressed: () {
        final GameCubit gameCubit = BlocProvider.of<GameCubit>(context);
        gameCubit.shuffleColors(game.globalSettings.colorsTheme);
      },
    );
  }
}
